package com.jkcredit.invoice.service.nocar;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.customer.CustomerRec;
import com.jkcredit.invoice.model.entity.waybill.NoCarCompanyManger;
import com.jkcredit.invoice.model.vo.OperatorEditConfirmVo;
import com.jkcredit.invoice.model.vo.OperatorEditVo;
import com.jkcredit.invoice.model.vo.OperatorEvidenceVo;
import com.jkcredit.invoice.model.vo.OperatorSendCodeVo;
import com.jkcredit.invoice.util.RespR;

/**
 * 无车企业开票人接口
 */
public interface NoCarCompanyMangerOper {

   RespR companyDetailAdd(NoCarCompanyManger noCarCompanyManger);

    RespR operatorEdit(OperatorEditVo operatorEditVo);

    RespR operatorEditConfirm(OperatorEditConfirmVo operatorEditConfirmVo);

    @Deprecated
    RespR operatorEvidence(OperatorEvidenceVo operatorEvidenceVo);

 RespR operatorSendCode(OperatorSendCodeVo operatorSendCodeVo, CustomerRec customerRec);

 RespR operatorValidCode(OperatorSendCodeVo operatorSendCodeVo, CustomerRec customerRec);

    IPage getCustomerCompanyManagerDetailPage(Page page, NoCarCompanyManger noCarCompanyManger);

    RespR operatorEvidenceAdd(NoCarCompanyManger noCarCompanyManger);

    RespR noCarCompanyMangerQuery(NoCarCompanyManger noCarCompanyManger);
}
